Subject: Re: [AVT] Does RTCP_MIN_TIME still apply when b=RR is specified?

From: Colin Perkins <[email-masked]>
Date: Mon, 3 Jan 2005 15:22:41 +0000

The text on page 26 of RFC 3550 which starts:

    "An implementation MAY scale the minimum RTCP interval to a smaller
    value inversely proportional to the session bandwidth parameter with
    the following limitations:"

may also be relevant.

Colin

On 4 Dec 2004, at 20:14, Anders Klemets wrote:

> The algorithm for computing the RTCP reporting interval in RFC-3550 
> has a constant called RTCP_MIN_TIME.  The purpose of this constant 
> (its value is 5 seconds) is to limit the RTCP reporting interval.  It 
> has the effect of limiting the actual RTCP bandwidth used by any 
> single RTP session participant.  
>
> RFC-3556 defines the SDP attributes “b=RR” and “b=RS”.  These 
> attributes can be used to increase, or decrease, the bandwidth 
> available for RTCP reports.  But when I read RFC-3556, it is not clear 
> if the RTCP_MIN_TIME parameter still applies, or not.  This seems to 
> be left entirely to the reader’s imagination. 
>
>   
>
> When I started reading RFC-3556, I imagined that RTCP_MIN_TIME would 
> not apply.  RFC-3556 says that some applications may want to increase 
> the RTCP bandwidth beyond 5% of the session bandwidth, and that the 
> solution to that problem is provided by “b=RR” and “b=RS”.  But 
> RTCP_MIN_TIME is effectively imposing a hard upper limit on the actual 
> RTCP bandwidth that anyone is allowed to use. 
>
>   
>
> So, because RTCP_MIN_TIME seems to work against the goal of being able 
> to increase the RTCP bandwidth, I thought that it would not apply in 
> this case.  I asked some other knowledgeable people, and they said the 
> same thing.
>
>  
>
> But after reading the “Security Considerations” section at the end of 
> RFC-3556, I now have a different impression.  It says that although 
> “b=RR” and “b=RS” can be used to increase the RTCP bandwidth, this is 
> not a new security problem, because the same thing can happen using 
> RFC-3550, if someone just specifies an artificially large session 
> bandwidth using “b=AS”.  
>
>  
>
> But in a RFC 3550-only implementation, if someone specifies a large 
> session bandwidth using “b=AS”, RTCP_MIN_TIME will still limit the 
> actual RTCP bandwidth used, preventing it from becoming “excessive”.  
> And the “Security Considerations” section in RFC-3556 says that “b=RR” 
> and “b=RS” do not make this problem any worse.  So, I must conclude 
> that RTCP_MIN_TIME will still limit the actual RTCP bandwidth that can 
> be used, even when “b=RR” and “b=RS” are used to specify a larger 
> bandwidth.
>
>  
>
> Did I understand this correctly?
>
>  
>
> (Luckily, I read the Security Considerations section, or I might have 
> missed this important implicit information.)
>
>  
>
> Anders
>
>  
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt